Bug 44847 - Compare Document Highlights Unchanged Words as Changed (LibreOffice Writer)
Summary: Compare Document Highlights Unchanged Words as Changed (LibreOffice Writer)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.4 release
Hardware: x86 (IA32) All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Document-Comparison
  Show dependency treegraph
 
Reported: 2012-01-16 16:56 UTC by Leo H
Modified: 2019-06-04 07:21 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
versions.zip (12.42 KB, application/zip)
2012-01-16 18:53 UTC, Christopher M. Penalver
Details
versions-space.zip (12.41 KB, application/zip)
2012-01-16 18:54 UTC, Christopher M. Penalver
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Leo H 2012-01-16 16:56:51 UTC
The Compare Document function in LibreOffice Writer highlights unchanged words as changed.

A complete description and a detailed analysis of this issue is given at:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/915059

Another simple descriptive example of this issue is given at:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/915059/comments/0

The launchpad moderator tested and validated this bug, judged it an upstream issue, and requested referring and submitting it to the LibreOffice developers direct.
Comment 1 Christopher M. Penalver 2012-01-16 18:42:39 UTC
1) lsb_release -rd
Description: Ubuntu 11.10
Release: 11.10

2) apt-cache policy libreoffice-writer
libreoffice-writer:
  Installed: 1:3.4.4-0ubuntu1
  Candidate: 1:3.4.4-0ubuntu1
  Version table:
 *** 1:3.4.4-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ oneiric-updates/main i386 Packages
        100 /var/lib/dpkg/status
     1:3.4.3-3ubuntu2 0
        500 http://us.archive.ubuntu.com/ubuntu/ oneiric/main i386 Packages

3) What is expected to happen in LibreOffice Writer via the Terminal:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/915059/+attachment/2671476/+files/versions.zip && file-roller -h versions.zip && cd versions && lowriter -nologo version1.odt

Edit -> Compare Document -> version2.odt -> Insert button

is under Actions regarding the first Deletion top to bottom, one tan hyphen is shown to the left of "LibreOffice Writer" and "LibreOffice Writer" is not marked tan with a tan underline. An example of how it should look may be found via the Terminal:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/915059/+attachment/2671477/+files/versions-space.zip && file-roller -h versions-space.zip && cd versions-space && lowriter -nologo version1-space.odt

Edit -> Compare Document -> version2-space.odt -> Insert button

4) What happens instead is the hyphen to the left of "LibreOffice Writer" is not shown and "LibreOffice Writer" is marked tan with a tan underline.
Comment 2 Christopher M. Penalver 2012-01-16 18:53:54 UTC
Created attachment 55658 [details]
versions.zip
Comment 3 Christopher M. Penalver 2012-01-16 18:54:27 UTC
Created attachment 55659 [details]
versions-space.zip
Comment 4 QA Administrators 2014-06-25 17:37:56 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2015-07-18 17:42:47 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-10-16 19:49:49 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 186f32f63434e16ff5776251657f902d5808ed3d
TinderBox: Win-x86@39, Branch:master, Time: 2015-10-16_09:42:47
Locale: en-US (fi_FI)
Comment 7 QA Administrators 2016-11-08 11:11:59 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20161108